using System;
using System.Text;

namespace skyscraper5.Skyscraper.Text
{
    [SkyscraperEncoding("skyscraper-template-sophia")]
    class SkyscraperEncodingTemplate : SkyscraperBaseEncoding8
    {
        protected override char[] Decrypt(byte[] preprocessed)
        {
            StringBuilder resultBuilder = new StringBuilder();
            for (int i = 0; i < preprocessed.Length; i++)
            {
                switch (preprocessed[i])
                {
                    default:
                        throw new NotImplementedException(String.Format("0x{0:X2}", preprocessed[i]));
                }
            }

            return resultBuilder.ToString().ToCharArray();
        }
    }
}
